ru.bitel.bgbilling.plugins.dispatch.server.event

## Class DispatchSubscriptionEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.plugins.dispatch.server.event.DispatchSubscriptionEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class DispatchSubscriptionEvent
      extends QueueEvent

  Событие, которое бросается при подписке/отписке на рассылку пользователем. Либо из ЛК, либо через клиент биллинга.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DispatchSubscriptionEvent()`
    `` | `DispatchSubscriptionEvent(int pluginId, Subscription subscription, boolean isSubscribed, int userId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Subscription` | `getSubscription()` Получение экземпляра подписки на рассылку.
    `boolean` | `isSubscribed()` Получение флага, сообщающего о том, что была подписка/отписка на рассылку.
    `void` | `setSubscribed(boolean subscribed)` Установка флага, сообщающего о том, что была подписка/отписка на рассылку.
    `void` | `setSubscription(Subscription subscription)` Установка подписки на рассылку.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DispatchSubscriptionEvent

          protected DispatchSubscriptionEvent()

    - #### DispatchSubscriptionEvent

          public DispatchSubscriptionEvent(int pluginId,
                                           Subscription subscription,
                                           boolean isSubscribed,
                                           int userId)

  - ### Method Detail

    - #### getSubscription

          public Subscription getSubscription()

      Получение экземпляра подписки на рассылку. Из нее можно узнать о договоре, который подписался/отписался от рассылки, о самой рассылке, о параметрах подписки, контактах.
      Returns:
        экземпляр подписки на рассылку.

    - #### setSubscription

          public void setSubscription(Subscription subscription)

      Установка подписки на рассылку.
      Parameters:
        `subscription` - экземпляр подписки на рассылку.

    - #### isSubscribed

          public boolean isSubscribed()

      Получение флага, сообщающего о том, что была подписка/отписка на рассылку.
      Returns:
        true - подписка, false - отписка.

    - #### setSubscribed

          public void setSubscribed(boolean subscribed)

      Установка флага, сообщающего о том, что была подписка/отписка на рассылку.
      Parameters:
        `subscribed` - true - подписка, false - отписка.